Vla-put-displayolescale

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-displayolescale vla-object bool )


機能
OLE オブジェクトが図面に挿入されたとき、OLE 尺度を変更するためのダイアログ ボックスを表示するかどうかを指定する。


引数
  • vla-object … PreferencesSystem のVLAオブジェクト
  • bool … ブール型
  •  :vlax-True: OLE オブジェクトが図面に挿入されるとき、OLE 尺度を変更するためのダイアログ ボックスは表示される。
  •  :vlax-False: OLE オブジェクトが図面に挿入されるとき、OLE 尺度を変更するためのダイアログ ボックスは表示されない。


戻り値
nil


  • MEMO:このプロパティの初期値は True。
サンプル
(vl-load-com)
(defun c:Example_DisplayOLEScale()
    ;; 図面に OLE オブジェクトを挿入するときに、OLE のスケール変更
    ;; ダイアログの表示を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; system preferences オブジェクトを取得
    (setq ACADPref (vla-get-System preferences))
    
    ;; 既定値を取得
    (setq originalValue (vla-get-DisplayOLEScale ACADPref))
    (alert (strcat "現在の DisplayOLEScale 値は : " (if (= originalValue :vlax-true) "True" "False")))

    ;; 変更
    (vla-put-DisplayOLEScale ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-DisplayOLEScale ACADPref))
    (alert (strcat "新しい DisplayOLEScale 値は : " (if (= newValue :vlax-true) "True" "False")))

    ;; 戻す
    (vla-put-DisplayOLEScale ACADPref originalValue)
    (alert (strcat "DisplayOLEScale 値を次に戻しました : " (if (= originalValue :vlax-true) "True" "False")))
)


関連事項